<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{trainingsites.editclinic}">Klinik bearbeiten</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<div data-th-replace="fragments/nav::nav"></div>
	<main>
	<form data-th-attr="action=@{/locations/trainingsites/clinics/update}" method="post" th:object="${clinic}">
		<input type="hidden" th:field="*{id}" />

		<fieldset>
			<legend data-th-text="#{locations.commondata}">Allgemeine Daten</legend>
			<th:block data-th-replace="fragments/forms::text(field='name')"/>
		</fieldset>

		<div data-th-insert="fragments/persons::fieldsetAddressDataWithRegion"></div>
		<div data-th-insert="fragments/persons::fieldsetContactData"></div>

		<p data-th-replace="fragments/snippets::save" />

		<fieldset>
			<legend data-th-text="#{trainingsites.departments}">Abteilungen</legend>
			<table class="datatable">
				<thead>
					<tr>
						<th>edit</th>
						<th>archive</th>
						<th>Name</th>
						<th>Adresse</th>
						<th>Behandlungsart</th>
						<th>Fachgebiet</th>
						<th>Ausstattung</th>
					</tr>
				</thead>
				<tbody>
					<tr data-th-each="department: ${clinic.departments}">
						<td><a data-th-replace="fragments/snippets::edit('/locations/trainingsites/clinics/__${clinic.id}__/departments', ${department.id})"></a></td>
						<td><a data-th-replace="fragments/snippets::archive('/locations/trainingsites/clinics/__${clinic.id}__/departments', ${department.id})"></a></td>
						<td data-th-text="${department.name}">Name</td>
						<td data-th-text="${department.address.fullAddress}">Adresse</td>
						<td data-th-text="#{${department.treatmentType}}">Behandlungsart</td>
						<td data-th-text="${department.medicalField.name}"}>Fachgebiet</td>
						<td data-th-text="${department.equipments}">Ausstattung</td>
					</tr>
				</tbody>
				<tfoot>
					<tr>
						<td colspan="7"><a data-th-href="@{/locations/trainingsites/clinics/{id}/departments/create(id=*{id})}" data-th-text="#{trainingsites.createdepartment}">neue Abteilung anlegen</a></td>
					</tr>
				</tfoot>
			</table>
		</fieldset>
	</form>
	</main>
</body>
</html>